import type { CommonRoot } from "./dialog/CommonRoot.vue";

declare module 'vue' {
  interface ComponentCustomProperties {
    $toast(msg: string): void;
    $alert(ption: {
      title?: string;
      content?: string;
    }): void;
    confirm(option: {
      title?: string;
      content?: string;
      cancelText?: string;
      confirmText?: string;
    }): Promise<boolean>;
    $p: {
      back: () => void;
      backReturnData: (data: Record<string, unknown>) => void;
      backAndCallOnPageBack: (name: string, data: Record<string, unknown>) => void;
      callPrevOnPageBack: (name: string, data: Record<string, unknown>) => void;
      navTo: (url: string, data?: Record<string, unknown>) => void;
    };
    $na: CommonRoot;
  }
}